Subject: bug#75964: Switching the Emacs build to -Wswitch-enum in src/

From: Eli Zaretskii <[email-masked]>
Date: Fri, 31 Jan 2025 17:00:18 +0200

> Date: Fri, 31 Jan 2025 14:25:21 +0000
> From: Pip Cet <[email-masked]>
> Cc: [email-masked]
> 
> "Eli Zaretskii" <[email-masked]> writes:
> 
> > I think we need to have the problems we want to solve in mind when
> > considering the solutions, because the solutions are not without
> > costs.
> 
> Agreed.  I'm still looking for a smoking gun: a case label which we
> forgot and which caused the default case label to do the wrong thing.
> 
> The only reason I see to hurry here is that various people are
> pushing changes to master which follow this or that solution, and
> usually it's not the right one (in my very personal view).  If we could
> agree to stop doing that and leave switch statements alone for now, I'd
> be very happy (i.e. apply the three reverts to pdumper.c but not the
> fourth patch in the last series).

It would indeed be wise to stop pushing changes in this area as long
as we are not sure what would be the best solution.

Stefan, do you agree?